define(["exports"], function(_exports) {
	function getStyles(settings, isCue) {
		return {
			text: function(settings, isCue) {
				var list = [];
				if (isCue) switch (settings.textSize || "") {
				case "smaller":
					list.push({
						name: "font-size",
						value: ".5em"
					});
					break;
				case "small":
					list.push({
						name: "font-size",
						value: ".7em"
					});
					break;
				case "large":
					list.push({
						name: "font-size",
//大号字体减小一点
						value: "1.17em"
					});
					break;
				case "larger":
					list.push({
						name: "font-size",
						value: "1.72em"
					});
					break;
				case "extralarge":
					list.push({
						name: "font-size",
						value: "2em"
					})
				} else switch (settings.textSize || "") {
				case "smaller":
					list.push({
						name: "font-size",
						value: ".8em"
					});
					break;
				case "small":
					list.push({
						name: "font-size",
						value: "inherit"
					});
					break;
				case "larger":
					list.push({
						name: "font-size",
						value: "2em"
					});
					break;
				case "extralarge":
					list.push({
						name: "font-size",
						value: "2.2em"
					});
					break;
				case "large":
					list.push({
						name: "font-size",
						value: "1.72em"
					});
					break;
				default:
					list.push({
						name: "font-size",
						value: "1.36em"
					})
				}
				var verticalPosition = settings.verticalPosition || "10";
				switch (list.push({
					name: "verticalPosition",
					value: verticalPosition
				}), settings.dropShadow || "") {
				case "raised":
					list.push({
						name: "text-shadow",
						value: "-1px -1px white, 0px -1px white, -1px 0px white, 1px 1px black, 0px 1px black, 1px 0px black"
					});
					break;
				case "depressed":
					list.push({
						name: "text-shadow",
						value: "1px 1px white, 0px 1px white, 1px 0px white, -1px -1px black, 0px -1px black, -1px 0px black"
					});
					break;
				case "uniform":
					list.push({
//嵌套阴影（#000000 0 0 .xxem）
						name: "text-shadow",
						value: "-1px 0px #000000, 0px 1px #000000, 1px 0px #000000, 0px -1px #000000, #000000 0 0 .20em, #000000 0 0 .20em, #000000 0 0 .20em, #000000 0 0 .20em, #000000 0 0 .20em"
					});
					break;
				case "none":
					list.push({
						name: "text-shadow",
						value: "none"
					});
					break;
				default:
					list.push({
//默认样式嵌套阴影（#000000 0 0 .xxem）
						name: "text-shadow",
						value: "-1px 0px #000000, 0px 1px #000000, 1px 0px #000000, 0px -1px #000000 ,#000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em, #000000 0 0 .15em"
					})
				}
				var background = settings.textBackground || "transparent";
				background && list.push({
					name: "background-color",
					value: background
				});
				var textColor = settings.textColor || "#ffffff";
				return textColor && list.push({
					name: "color",
					value: textColor
				}), list.push({
					name: "font-family",
					value: "inherit"
				}), list
			}(settings, isCue),
			window: []
		}
	}
	function applyStyleList(styles, elem) {
		for (var i = 0, length = styles.length; i < length; i++) {
			var style = styles[i];
			elem.style[style.name] = style.value
		}
	}
	Object.defineProperty(_exports, "__esModule", {
		value: !0
	}), _exports.
default = void 0;
	var _default = {
		getStyles: getStyles,
		applyStyles: function(elements, appearanceSettings) {
			var styles = getStyles(appearanceSettings);
			elements.text && applyStyleList(styles.text, elements.text), elements.window && applyStyleList(styles.window, elements.window)
		}
	};
	_exports.
default = _default
});
